
var JSON = {
	objectToJSON : function(item){
		switch(item.constructor){
			case Boolean:
				return item.toString();
				break;
			case Number:
				return item.toString().substring(0,15);
				break;
			case String:
				return "'" + escape(item) + "'"
				break;
			case Date:
				return Number(item).toString();
				break;
			case Array:
				var tempObj = new Array()
				for(var i=0;i<item.length;i++){
					tempObj[i] = this.objectToJSON(item[i])
				}
				return '[' + tempObj.join(",") + ']'
				break;
			case Object:
				var str=["{"];
				for(var item2 in item){
					if(item[item2] == undefined){
						continue
					}
					str.push("'" + item2 + "' :")
					str.push(this.objectToJSON( item[item2] ))
					str.push(",")
				}
				var pop = str.pop() // removes last ,
				if(pop != ','){
					str.push(pop)
				}
				str.push('}\n')
				return str.join('');
				break;
			default:
				return "''";
				break;
		}
	}
}