/**************************
	AJAX Library
	By Neo101
	January 2008
**************************/


function XmlDomObj(){
	var object, aborted = false
	try{
		object = external.max_activex(SECURITY_ID, "Microsoft.XMLDOM")
	}
	catch(err){
		try{
			object = new ActiveXObject("Microsoft.XMLDOM")
		}
		catch(err){
			throw 'Could not load ActiveX object'
		}
	}
	
	this.connect = function(url, callBack){
		object.onreadystatechange = function(){
			if(!aborted && object.readyState == 4){
				if(object.parseError == 0){
					callBack.onSuccess(object, callBack)
				} else {
					callBack.onFailure(object, callBack)
				}
			}
		}
		object.async = true
		object.load(url)
	}
	
	this.abort = function(){
		if(object.readyState < 4){
			aborted = true
			object.abort()
		}
	}
}